> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Subscriptions

> Fetch the details of all subscriptions



## OpenAPI

````yaml get /subscriptions
openapi: 3.0.0
info:
  title: Flutterwave v3
  description: >-
    The Flutterwave for Business(F4B) APIs collection for all v3 endpoints with
    pre-formatted requests and response examples.
  contact: {}
  version: '1.0'
servers:
  - url: https://api.flutterwave.com/v3
    variables: {}
security:
  - bearer: []
tags:
  - name: Charges
    description: >-
      The charge APIs includes several payment collection methods to help you
      collect payments.
  - name: Tokenized Charges
    description: Tokenize your customers' cards with Flutterwave for faster payments
  - name: Preauthorization
    description: Manage preauth attemps on card transactions
  - name: Transactions
    description: Manage transactions, query statuses, logs and fees
  - name: Transfers
    description: Transfers to local and international customers
  - name: Beneficiaries
    description: Manage transfer beneficiaries
  - name: Virtual Cards
    description: Manage Flutterwave virtual cards
  - name: Virtual Account Numbers
    description: Manage virtual accounts
  - name: Collection Subaccounts
    description: Manage Collection Subaccounts
  - name: Payout Subaccounts
    description: Manage Payout Subaccounts
  - name: Subscriptions
    description: Manage user subscriptions
  - name: Payment Plans
    description: Manage Payment Plans
  - name: Bill Payments
    description: Manage Bill Payments
  - name: Banks
    description: Fetch Bank Information
  - name: Misc
    description: >-
      Verify user information like bank verification numbers, card bins, account
      information
  - name: Settlements
    description: Manage your settlements
  - name: Otps
    description: Create and manage one time passwords (OTPs) for your applications
  - name: Chargebacks
    description: Manage Chargebacks
paths:
  /subscriptions:
    get:
      tags:
        - Subscriptions
      summary: Get all Subscriptions
      description: Fetch the details of all subscriptions
      operationId: GetallSubscriptions
      parameters: []
      responses:
        '200':
          description: OK
          headers:
            X-Powered-By:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Express
            Access-Control-Allow-Origin:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '*'
            Access-Control-Allow-Headers:
              content:
                text/plain:
                  schema:
                    type: string
                  example: >-
                    Origin, X-Requested-With, Content-Type, Accept,
                    Authorization, v3-xapp-id, flw-auth-token, mra-auth-token,
                    alt_mode_auth
            Access-Control-Allow-Methods:
              content:
                text/plain:
                  schema:
                    type: string
                  example: PUT, POST, GET, DELETE, OPTIONS
            Content-Length:
              content:
                text/plain:
                  schema:
                    type: string
                  example: '456'
            ETag:
              content:
                text/plain:
                  schema:
                    type: string
                  example: W/"1c8-LWkfMzA2/iZs1/yofkRtqQ"
            Date:
              content:
                text/plain:
                  schema:
                    type: string
                  example: Thu, 23 Jan 2020 17:29:44 GMT
            Connection:
              content:
                text/plain:
                  schema:
                    type: string
                  example: keep-alive
          content:
            application/json; charset=utf-8:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SampleSuccessResponse29'
                  - example:
                      status: success
                      message: Plan subscriptions fetched
                      meta:
                        page_info:
                          total: 2
                          current_page: 1
                          total_pages: 1
                      data:
                        - id: 4147
                          amount: 2000
                          customer:
                            id: 247546
                            customer_email: h0vkard@flw.ext
                          plan: 3657
                          status: cancelled
                          created_at: '2019-12-31T17:00:55.000Z'
                        - id: 4146
                          amount: 2000
                          customer:
                            id: 247490
                            customer_email: h0vkard@flw.ext
                          plan: 3656
                          status: cancelled
                          created_at: '2019-12-31T14:44:20.000Z'
              example:
                status: success
                message: Plan subscriptions fetched
                meta:
                  page_info:
                    total: 2
                    current_page: 1
                    total_pages: 1
                data:
                  - id: 4147
                    amount: 2000
                    customer:
                      id: 247546
                      customer_email: h0vkard@flw.ext
                    plan: 3657
                    status: cancelled
                    created_at: '2019-12-31T17:00:55.000Z'
                  - id: 4146
                    amount: 2000
                    customer:
                      id: 247490
                      customer_email: h0vkard@flw.ext
                    plan: 3656
                    status: cancelled
                    created_at: '2019-12-31T14:44:20.000Z'
      deprecated: false
components:
  schemas:
    SampleSuccessResponse29:
      title: SampleSuccessResponse29
      required:
        - status
        - message
        - meta
        - data
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        meta:
          $ref: '#/components/schemas/Meta22'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Data62'
          description: ''
      example:
        status: success
        message: Plan subscriptions fetched
        meta:
          page_info:
            total: 2
            current_page: 1
            total_pages: 1
        data:
          - id: 4147
            amount: 2000
            customer:
              id: 247546
              customer_email: h0vkard@flw.ext
            plan: 3657
            status: cancelled
            created_at: '2019-12-31T17:00:55.000Z'
          - id: 4146
            amount: 2000
            customer:
              id: 247490
              customer_email: h0vkard@flw.ext
            plan: 3656
            status: cancelled
            created_at: '2019-12-31T14:44:20.000Z'
    Meta22:
      title: Meta22
      required:
        - page_info
      type: object
      properties:
        page_info:
          $ref: '#/components/schemas/PageInfo'
      example:
        page_info:
          total: 158
          current_page: 1
          total_pages: 16
    Data62:
      title: Data62
      required:
        - id
        - amount
        - customer
        - plan
        - status
        - created_at
      type: object
      properties:
        id:
          type: integer
          format: int32
        amount:
          type: integer
          format: int32
        customer:
          $ref: '#/components/schemas/Customer22'
        plan:
          type: integer
          format: int32
        status:
          type: string
        created_at:
          type: string
      example:
        id: 4147
        amount: 2000
        customer:
          id: 247546
          customer_email: h0vkard@flw.ext
        plan: 3657
        status: cancelled
        created_at: '2019-12-31T17:00:55.000Z'
    PageInfo:
      title: PageInfo
      required:
        - total
        - current_page
        - total_pages
      type: object
      properties:
        total:
          type: integer
          format: int32
        current_page:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
      example:
        total: 158
        current_page: 1
        total_pages: 16
    Customer22:
      title: Customer22
      required:
        - id
        - customer_email
      type: object
      properties:
        id:
          type: integer
          format: int32
        customer_email:
          type: string
      example:
        id: 247546
        customer_email: h0vkard@flw.ext
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````